{% extends 'base.html' %}
{% load static %}

{% block title %}Your Bujo{% endblock %}

{% block content %}

  {{ form.non_field_errors }}
  {% for field in form %}
    {% if field.errors %}
      <p>{{ field.label }} has the following errors:</p>
      <ul>
      {% for error in field.errors %}
        <li>{{ error }}</li>
      {% endfor %}
      </ul>
    {% endif %}
  {% endfor %}

  {% if name %}
  <h1>Your Bullet Journal</h1>

    <h2>Hello, {{name}}!<br>Today is going to be a great day!</h2>
    
  {% else %}
    <form action="/home" method="post">

      <h2 style="border: 1px solid #dcdcdc; padding: 5%">
        Hello!<br>What is your name?
      </h2>
        {% csrf_token %}
        {{ form }}

      <input type="submit" value="">

      <p style="opacity: 80%">
        Press Enter to continue
      </p>
      
    </form>  
  {% endif %}

  
{% endblock %}